<!-- 会员机构管理-子机构管理-子机构转移-执行转移 -->
<template>
    <app-drawer :title="t('common.alert')" v-model:show="show" :loading="loading" :refresh="refresh">
        <div class="g-text-message">{{ t('member.subinstitution.transfer.run.message') }}</div>
        <template #footer>
            <el-button @click="onCancel(false)">{{ t('operation.cancel') }}</el-button>
            <el-button type="primary" @click="onSubmit">{{ t('operation.confirm') }}</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef } from 'vue'
import { ElMessage } from 'element-plus'
import { organSonExecuteTransfer } from '@/services/api/member'
import AppDrawer from '@pc/components/base/drawer/index.vue'
import { i18n } from '@/stores'

const { global: { t } } = i18n
const show = shallowRef(true)
const refresh = shallowRef(false)
const loading = shallowRef(false)

const onCancel = (isRefresh = false) => {
    show.value = false
    refresh.value = isRefresh
}

const onSubmit = () => {
    loading.value = true
    organSonExecuteTransfer().then(() => {
        ElMessage.success(t('member.subinstitution.transfer.run.tips1'))
        onCancel(true)
    }).catch((err) => {
        ElMessage.error(t('member.subinstitution.transfer.run.tips2') + err)
        onCancel()
    }).finally(() => {
        loading.value = false
    })
}
</script>